!set title=Propiedades algebraicas
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=XIAO Gang
email=xiao@unice.fr

ansorder=r
varcnt=28
prevarcnt=27
postvarcnt=0
replycnt=1
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!randint 2, 9

val6=$[rint($(tmp0))]
val7={\rm\ and\ }
val8=\Rightarrow
tmp0=!shuffle 	 A + B = B + A,	 A + (B + C) = (A + B) + C,	 A + (B + C) = (A + C) + B,	 A + B = A + C $val8 B = C,	 A + C = B + C $val8 A = B,	 (a+b)A = aA + bA,	 a(A + B) = aA + aB,	 a*b(A) = a(bA),	 a*b(A) = b(aA),	 a(bA) = b(aA),	 a(AB) = A(aB),	 (aA)B = a(AB),	 a \ne 0 $val7 aA = aB $val8 A = B,	 A \ne 0 $val7 aA = bA $val8 a = b,	 A \ne 0 $val7 aA = 0 $val8 a = 0,	 a \ne 0 $val7 aA = 0 $val8 A = 0,	 a \ne 0 $val7 A \ne B $val8 aA \ne aB,	 A \ne 0 $val7 a \ne b $val8 aA \ne bA,	 a \ne 0 $val7 A \ne 0 $val8 aA \ne 0,	 A(BC) = (AB)C,	 A(B+C) = AB + AC,	 (A+B)C = AC + BC,	 AB + AC = A(B+C),	 AC + BC = (A+B)C,	 A^2B = A(AB),	 AB^2 = (AB)B	

val9=$(tmp0)
tmp0=!shuffle 	 a(AB) = (aB)A,	 (aA)B = (aB)A,	 (aA)B = B(aA),	 AB = BA,	 A(BC) = (AC)B,	 A \ne 0 $val7 AB = AC $val8 B = C,	 C \ne 0 $val7 AC = BC $val8 A = B,	 B \ne 0 $val7 AB = 0 $val8 A = 0,	 A \ne 0 $val7 AB = 0 $val8 B = 0,	 A \ne 0 $val7 B \ne C $val8 AB \ne AC,	 C \ne 0 $val7 A \ne B $val8 AC \ne BC,	 A \ne 0 $val7 B \ne 0 $val8 AB \ne 0,	 A(B+C) = AB + CA,	 (A+B)C = CA + BC,	 BA + AC = A(B+C),	 AC + CB = (A+B)C,	 ABA = A^2*B,	 BAB = A*B^2,	 (A-B)^2 = A^2 - B^2,	 (A+B)^2 = A^2 + 2AB + B^2,	 (A-B)^2 = A^2 - 2AB + B^2	

val10=$(tmp0)
tmp0=!randitem 1,1,2,2,3

val11=$[rint($(tmp0))]
val12=$[rint(4-$val11)]
tmp0=!item 1 to $val11 of 1,1,1,1,1,1

val13=$(tmp0)
tmp0=!item 1 to 4 of $val13,0,0,0,0,0,0

val14=$(tmp0)
tmp0=!item 1 to $val11 of $val10

val13=$(tmp0)
tmp0=!item 1 to 4-$val11 of $val9

val15=$(tmp0)
tmp0=!shuffle 4

val16=$(tmp0)
tmp0=!item $val16 of $val13,$val15

val17=$(tmp0)
tmp0=!item $val16 of $val14

val14=$(tmp0)
tmp0=!positionof item 1 in $val14

val10=$(tmp0)
tmp0=!positionof item 0 in $val14

val9=$(tmp0)
tmp0=!item 1 of $val17

val18=$(tmp0)
tmp0=!item 2 of $val17

val19=$(tmp0)
tmp0=!item 3 of $val17

val20=$(tmp0)
tmp0=!item 4 of $val17

val21=$(tmp0)
val22=<td>   
tmp0=!randitem 1,2

!if $(tmp0) = 1 
val23=no siempre verdaderas
val24=malas
val25=$val10
!else
val23=siempre verdaderas
val24=buenas
val25=$val9
!endif
replytype1=chset
replyname1=Las propiedades $val24 son
replygood1=$val25
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Sean 
!insmath A,B,C
$() tres matrices $val6×$val6  y	
!insmath a,b
$() dos números. Entre las siguientes propiedades, 	¿Cuáles de ellas son $val23?	<p><center><table border=0>	 <tr><td>1.$val22<td>
!insmath $val18
$()	 <tr><td>2.$val22<td>
!insmath $val19
$()	 <tr><td>3.$val22<td>
!insmath $val20
$()	 <tr><td>4.$val22<td>
!insmath $val21
$()	</table></center> <p>	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=6,18,19,20,21,22,23
embedcnt=0
